<!DOCTYPE html>
<html>
  <head>
    <title>Simple Map</title>
    <meta name="viewport" content="initial-scale=1.0">
    <meta charset="utf-8">
    <style>
      html, body {
        height: 100%;
        margin: 0;
        padding: 0;
      }
      #map {
        height: 100%;
      }
      .gm-iv-address {
      display: none !important;
      }
      
      .gm-fullscreen-control{
      display: none !important;
      }
      .gm-compass{
      display: none !important;
      }
      .gmnoprint{
      display: none !important;
      }
      
    </style>
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>
        <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCUlQEVELKOBQi39VWgb7jjjq4a4lq9jdU&libraries=places"></script>
  </head>
  <body>
    <div id="map"></div>
    <script>
      var map;
      function initialize(mapstate) {
      $('.gm-iv-address').hide();
       /* map = new google.maps.Map(document.getElementById('map'), {
          center: {lat: -34.397, lng: 150.644},
          zoom: 8
        });*/
        
       	var     pano;
	var     latlng = new google.maps.LatLng(25.0805422,55.14034259999994);
	 
	var panoOptions = {
		
	    position: latlng,
	    scrollwheel: true,
	    pov: {
		heading: 0,
		pitch: 0,
		zoom: 0,
	    }
	};
	 
	map = new google.maps.StreetViewPanorama(
	    document.getElementById('map'), 
	    panoOptions);
	 
	window.setInterval(function() {
	    var pov = map.getPov();
	    pov.heading += 0.2;
	    map.setPov(pov);
	}, 10);
	
        var homeControlDiv = document.createElement("div");

        var homeControl = RenderButton(homeControlDiv, map,mapstate);

        homeControlDiv.index = 1;

        map.controls[google.maps.ControlPosition.TOP_RIGHT].push(homeControlDiv);
      }
      google.maps.event.addDomListener(window, "load", initialize("Minimize"));
      
      
      function RenderButton(controlDiv, map, mapstate) {console.log(mapstate);

        // Set CSS styles for the DIV containing the control

        // Setting padding to 5 px will offset the control

        // from the edge of the map

        controlDiv.style.padding = "5px";

        // Set CSS for the control border

	var controlUI = document.createElement("div");

        controlUI.style.backgroundColor = "white";

        controlUI.style.borderStyle = "solid";

        controlUI.style.borderWidth = "2px";

        controlUI.style.cursor = "pointer";

        controlUI.style.textAlign = "center";

        controlUI.title = "Click to set the map to Home";

        controlDiv.appendChild(controlUI);

        // Set CSS for the control interior

        var controlText = document.createElement("div");

        controlText.style.fontFamily = "Arial,sans-serif";

        controlText.style.fontSize = "12px";

        controlText.style.paddingLeft = "4px";

        controlText.style.paddingRight = "4px";

        //if(no==0)

        controlText.innerHTML = mapstate;

        controlUI.appendChild(controlText);

        google.maps.event.addDomListener(controlUI, "click", function() {

                if (controlText.innerHTML == "Maximize") { 

                    fullscreen();

                    controlText.innerHTML = "Minimize";

                    google.maps.event.addDomListener(window, "load", initialize("Minimize"));

                } else {

                    minscreen();

                    controlText.innerHTML = "Maximize";

                    google.maps.event.addDomListener(window, "load", initialize("Maximize"));

                }

        });

    }

 //   google.maps.event.addDomListener(window, "load", initialize("Maximize"));

//You can configure full screen and min screen implementation in some function like this,

function fullscreen() {

        var elem = document.getElementById("map");

        elem.style.width="100%";

        elem.style.height="100%";

    }

    function minscreen() {

        var elem = document.getElementById("map");

        elem.style.width="10%";

        elem.style.height="10%";

    }
    </script>
  </body>
</html>
<script type="text/javascript">
var map;
 //   function initialize(mapstate) {

/*
        var map = new google.maps.Map(document.getElementById('map_canvas'), {
	    center: {lat: -33.8688, lng: 151.2195},
	    zoom: 13,
	    mapTypeId: google.maps.MapTypeId.ROADMAP
	  });

      
       /* var homeControlDiv = document.createElement("div");

        var homeControl = new RenderButton (homeControlDiv, map,'Maximize');

        homeControlDiv.index = 1;

        map.controls[google.maps.ControlPosition.TOP_RIGHT].push(homeControlDiv);*/

//    }


//Following code is used to set the map maximize and minimize button

    
    </script>

